Index: apps/app_milliwatt.c
===================================================================
--- apps/app_milliwatt.c	(revision 204806)
+++ apps/app_milliwatt.c	(working copy)
@@ -38,6 +38,7 @@
 #include <string.h>
 #include <unistd.h>
 #include <errno.h>
+#include <limits.h>
 
 #include "asterisk/lock.h"
 #include "asterisk/file.h"
@@ -46,6 +47,7 @@
 #include "asterisk/pbx.h"
 #include "asterisk/module.h"
 #include "asterisk/utils.h"
+#include "asterisk/indications.h"
 
 static char *app = "Milliwatt";
 
@@ -145,7 +147,6 @@
 static int milliwatt_exec(struct ast_channel *chan, void *data)
 {
 	const char *options = data;
-	struct ast_app *playtones_app;
 	struct ast_module_user *u;
 	int res = -1;
 
@@ -156,13 +157,8 @@
 		goto exit_app;
 	}
 
-	if (!(playtones_app = pbx_findapp("Playtones"))) {
-		ast_log(LOG_ERROR, "The Playtones application is required to run Milliwatt()\n");
-		goto exit_app;
-	}
+	res = ast_playtones_start(chan, 32768, "1004/1000", 0);
 
-	res = pbx_exec(chan, playtones_app, "1004/1000");
-
 	while (!res) {
 		res = ast_safe_sleep(chan, 10000);
 	}
